# $Revision: 1.29 $, $Date: 2010/11/15 10:17:19 $
# TODO
# - unpackaged:    /usr/bin/XMLTester
#
# Conditional build:
%bcond_without	ruby	# ruby binding
#
Summary:	Geometry Engine - Open Source
Summary(pl.UTF-8):	GEOS - silnik geometryczny z otwartymi źródłami
Name:		geos
Version:	3.2.2
Release:	3
License:	LGPL v2.1
Group:		Libraries
Source0:	http://download.osgeo.org/geos/%{name}-%{version}.tar.bz2
# Source0-md5:	c5d264acac22fe7720f85dadc1fc17c6
Patch0:		%{name}-ruby1.9.patch
Patch1:		%{name}-swig2.patch
URL:		http://trac.osgeo.org/geos/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRequires:	swig-python >= 1.3.29
%{?with_ruby:BuildRequires:	swig-ruby >= 1.3.40-3}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GEOS (Geometry Engine - Open Source) is a C++ port of the Java
Topology Suite (JTS). As such, it aims to contain the complete
functionality of JTS in C++. This includes all the OpenGIS "Simple
Features for SQL" spatial predicate functions and spatial operators,
as well as specific JTS topology functions such as IsValid().

%description -l pl.UTF-8
GEOS (Geometry Engine - Open Source, czyli silnik geometryczny z
otwartymi źródłami) to port C++ biblioteki Java Topology Suite (JTS).
Celem biblioteki jako takiej jest implementacja pełnej funkcjonalności
JTS w C++. Obejmuje to wszystkie funkcje predykatów przestrzennych
wg "Simple Features for SQL" OpenGIS oraz operatory przestrzenne, a
także specyficzne dla JTS funkcje topologiczne takie jak IsValid().

%package devel
Summary:	Header files for GEOS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GEOS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for GEOS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GEOS.

%package static
Summary:	Static GEOS library
Summary(pl.UTF-8):	Statyczna biblioteka GEOS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GEOS library.

%description static -l pl.UTF-8
Statyczna biblioteka GEOS.

%package -n python-geos
Summary:	Python bindings for Geometry Engine - Open Source
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GEOS
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-geos
Python bindings for Geometry Engine - Open Source.

%description -n python-geos -l pl.UTF-8
Wiązania Pythona do biblioteki GEOS.

%package -n ruby-geos
Summary:	Ruby bindings for Geometry Engine - Open Source
Summary(pl.UTF-8):	Wiązania języka Ruby do biblioteki GEOS
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n ruby-geos
Ruby bindings for Geometry Engine - Open Source.

%description -n ruby-geos -l pl.UTF-8
Wiązania języka Ruby do biblioteki GEOS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal} -I macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-python \
	%{?with_ruby:--enable-ruby}

%{__make} \
	pkglibdir=%{_libdir}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_ruby:rm -f $RPM_BUILD_ROOT%{ruby_sitearchdir}/*.{la,a}}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/geos/*.{la,a}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgeos-*.so
%attr(755,root,root) %{_libdir}/libgeos_c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeos_c.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/geos-config
%attr(755,root,root) %{_libdir}/libgeos.so
%attr(755,root,root) %{_libdir}/libgeos_c.so
%{_libdir}/libgeos.la
%{_libdir}/libgeos_c.la
%{_includedir}/geos
%{_includedir}/geos.h
%{_includedir}/geos_c.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgeos.a
%{_libdir}/libgeos_c.a

%files -n python-geos
%defattr(644,root,root,755)
%dir %{py_sitedir}/geos
%attr(755,root,root) %{py_sitedir}/geos/_geos.so
%{py_sitescriptdir}/geos
%{py_sitescriptdir}/geos.pth

%if %{with ruby}
%files -n ruby-geos
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_sitearchdir}/geos.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geos.spec,v $
Revision 1.29  2010/11/15 10:17:19  pawelz
- release 3

Revision 1.28  2010/10/09 16:08:09  qboosh
- added swig2 patch to allow build with swig 2.0.x

Revision 1.27  2010/10/09 10:50:16  qboosh
- ac version

Revision 1.26  2010/07/09 11:15:56  arekm
- release 2

Revision 1.25  2010/07/07 17:48:15  jajcus
- Version: 3.2.2

Revision 1.24  2010/03/02 16:03:49  baggins
- updated to 3.2.0

Revision 1.23  2009/07/07 19:05:05  wrobell
- ver. 3.1.1
- switch to osgeo based website

Revision 1.22  2008/10/18 13:56:29  megabajt
- added -gcc43.patch
- release 2

Revision 1.21  2008/03/12 00:53:19  glen
- unpackaged file

Revision 1.20  2008-03-12 00:30:13  glen
- no egg-info packaged

Revision 1.19  2008-01-12 23:12:25  qboosh
- updated to final 3.0.0

Revision 1.18  2007-10-09 21:43:23  wrobell
- ver. 3.0.0 rc4

Revision 1.17  2007/10/09 20:48:56  wrobell
- added ruby bcond

Revision 1.16  2007/06/17 10:29:57  wrobell
- rel. 2

Revision 1.15  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.13  2006/12/11 19:12:01  qboosh
- python 2.5 for egg-info

Revision 1.12  2006/12/11 19:11:34  qboosh
- updated to 2.2.3

Revision 1.11  2006/05/28 22:46:15  qboosh
- updated to 2.2.2, removed config,gcc4 patches
- updated swig patch, added ruby binding

Revision 1.10  2005/12/21 11:34:35  qboosh
- cosmetics

Revision 1.9  2005/12/21 08:51:53  radzio
- update to 2.2.1
- add patch1 for python bindings
- add subpackage python-geos

Revision 1.8  2005/12/11 00:52:16  qboosh
- updated to 2.2.0 (with new C API library)
- added gcc4 patch

Revision 1.7  2005/08/28 20:07:47  qboosh
- updated to 2.1.4

Revision 1.6  2005/07/25 06:34:29  qboosh
- updated to 2.1.3

Revision 1.5  2005/06/12 12:29:05  qboosh
- updated to 2.1.2 (bugfixes)

Revision 1.4  2005/01/16 01:41:07  qboosh
- updated to 2.1.1, updated config patch

Revision 1.3  2004/11/01 11:50:04  qboosh
- updated to 2.0.1

Revision 1.2  2004/09/24 21:51:09  paszczus
- updated to 2.0.0
- updated config.patch

Revision 1.1  2004/04/05 21:33:12  qboosh
- new
